onclick
Description
Fires on clicking a menu item or outside the menuUsage
onclick?: (ev: {
context?: any;
action: IMenuOption; // @deprecated use `option` instead. Will be removed in v3.0
option: IMenuOption;
event?: MouseEvent;
}) => void;
Parameters
- ev - an event object with the next parameters:
context- (optional) an object for which menu was calledaction- (required) the object of selected (clicked) menu item, empty if menu was closed by an outside click (for the MenuOption parameters description refer to options)option- (required) same asactionevent- (optional) a native html event
Example
<script setup>
import { ref } from "vue";
const menu1 = ref(null);
let message = "";
function clicked(ev){
const action = ev.action;
message = action ? `clicked on ${action.id}` : "closed";
menu1.value = null;
}
</script>
<template>
<div>{{ message }}</div>
<div>
<Button type="primary" :onclick="ev => menu1 = ev.target">Click me (bottom menu)</Button>
<Portal v-if="menu1">
<Menu :options="options" :parent="menu1" :onsome="clicked"></Menu>
</Portal>
</div>
</template>
Details
You can get an object of the clicked option inside the event as in the above example. The detail property of the event will contain an object related to the clicked menu item. When a user clicks outside the menu, the ev.action of the generated click event will be null.
Related article: Catching the change of a clicked option

onclick
Description
Fires on clicking a menu item or outside the menuUsage
onclick?: (ev: {
context?: any;
action: IMenuOption; // @deprecated use `option` instead. Will be removed in v3.0
option: IMenuOption;
event?: MouseEvent;
}) => void;
Parameters
- ev - an event object with the next parameters:
context- (optional) an object for which menu was calledaction- (required) the object of selected (clicked) menu item, empty if menu was closed by an outside click (for the MenuOption parameters description refer to options)option- (required) same asactionevent- (optional) a native html event
Example
function Example() {
const [menu1, setMenu1] = useState<HTMLElement | null>(null);
const [message, setMessage] = useState("");
function clicked(ev: any) {
const action = ev.action;
setMessage(action ? `clicked on ${action.id}` : "closed");
setMenu1(null);
}
return (
<>
<div>{message}</div>
<div>
<Button type="primary" onClick={ev => setMenu1(ev.currentTarget as HTMLElement)}>
Click me (bottom menu)
</Button>
{menu1 && (
<Portal>
<Menu options={options} parent={menu1} onclick={clicked} />
</Portal>
)}
</div>
</>
);
}
Details
You can get an object of the clicked option inside the event as in the above example. The detail property of the event will contain an object related to the clicked menu item. When a user clicks outside the menu, the ev.action of the generated click event will be null.
Related article: Catching the change of a clicked option